> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a wave

> Create a wave

### Request body

`CreateWaveRequest`

<ParamField body="created_by" type="string,null" />

<ParamField body="notes" type="string,null" />

<ParamField body="order_ids" type="string[]" required>
  Order IDs (UUIDs) to include in the wave.
</ParamField>

<ParamField body="priority" type="integer,null (int32)" />

<ParamField body="warehouse_id" type="integer (int32)" required />

### Responses

<ResponseField name="201" type="WaveResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/fulfillment/waves' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "created_by": null,
    "notes": null,
    "order_ids": [
      "string"
    ],
    "priority": null,
    "warehouse_id": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "completed_pick_count": 1,
    "created_at": "string",
    "id": "string",
    "order_count": 1,
    "pick_count": 1,
    "priority": 1,
    "status": "string",
    "warehouse_id": 1,
    "wave_number": "string"
  }
  ```
</ResponseExample>
